#!/bin/bash
env_ip=$1
dev_appid=$2
dev_secury=$3
user_url=$4
pay_url=$5
base_path=/home/sub_config_file_dont_rm
echo "
env_ip:$env_ip
dev_appid:$dev_appid
dev_secury:$dev_secury
user_url:$user_url
pay_url:$pay_url
"
function tranceConfig()
{
  type_=$1
  source_str=$2
  target_str=$3
  ip_host=$4
  file_name=$5
  expect -c "
  set timeout 10
  spawn ssh root@192.168.4.3
  expect \"]#\"
    send \"sed -i "s#$source_str#$target_str#g"  $base_path/$ip_host/$type_/$file_name\r\"
  expect \"]#\"
    send \"sed -i "s#$source_str#$target_str#g"  $base_path/$ip_host/public/$type_/$file_name\r\"
  expect \"]#\" 
    send \"exit\r\"
  expect eof;"
}

function reBuildProject()
{
  expect -c "
  set timeout 10
  spawn ssh root@$2
  expect \"]#\"
    send \"cd /home/qa-deploy-utils/qa_shell_script/\r\"
  expect \"]#\"
    send \"sh 3_link_config_file_by_name.sh $1\r\"
  set timeout -1
  expect \"]#\"
    send \"sh 4_build_by_name.sh $1\r\"
  set timeout -1
  expect \"]#\"
    send \"sh 5_restart_by_name.sh $1\r\"
  expect \"]#\"
    send \"exit\r\"
  expect eof;"
}

function reStartProject()
{
  expect -c "
  set timeout 10
  spawn ssh root@$2
  expect \"]#\"
    send \"cd /home/qa-deploy-utils/qa_shell_script/\r\"
  expect \"]#\"
    send \"sh 6_restart_by_wechat.sh $1 '$3'\r\"
  expect \"]#\"
    send \"exit\r\"
  expect eof;"
}

echo "部署时间大约需要10分钟,请确保重启应用时，配置文件不再更改。。。"

echo "部署new-xyqb-user-ui"
ssh root@192.168.4.3 "sed -i \"s#weixinAppid:.*#weixinAppid:\'$dev_appid\',#g\" $base_path/$env_ip/ui/new-xyqb-user-ui.js"
ssh root@192.168.4.3 "sed -i \"s#weixinAppid:.*#weixinAppid:\'$dev_appid\',#g\" $base_path/$env_ip/public/ui/new-xyqb-user-ui.js"
ssh root@192.168.4.3 "sed -i \"s#wechattest.xyqb.com#$user_url#g\" $base_path/$env_ip/ui/new-xyqb-user-ui.js"
ssh root@192.168.4.3 "sed -i \"s#wechattest.xyqb.com#$user_url#g\" $base_path/$env_ip/public/ui/new-xyqb-user-ui.js"
reBuildProject "new-xyqb-user-ui" "$env_ip"

echo "部署xyqb-user2"
# ssh root@192.168.4.3 "sed -i \"s#wechat.appid=.*#wechat.appid=$dev_appid#g\" $base_path/$env_ip/java/xyqb-user2.properties"
# ssh root@192.168.4.3 "sed -i \"s#wechat.appid=.*#wechat.appid=$dev_appid#g\" $base_path/$env_ip/public/java/xyqb-user2.properties"
# ssh root@192.168.4.3 "sed -i \"s#wechat.secret=.*#wechat.secret=$dev_secury#g\" $base_path/$env_ip/java/xyqb-user2.properties"
# ssh root@192.168.4.3 "sed -i \"s#wechat.secret=.*#wechat.secret=$dev_secury#g\" $base_path/$env_ip/public/java/xyqb-user2.properties"
cmd=" -Dwechat.secret=$dev_secury -Dwechat.appid=$dev_appid "
echo "$cmd"
reStartProject "xyqb-user2" "$env_ip" "$cmd"

echo "部署xyqb"
# ssh root@192.168.4.3 "sed -i \"s#h5-ui.url=.*#h5-ui.url=http://$pay_url#g\" $base_path/$env_ip/java/xyqb.properties"
# ssh root@192.168.4.3 "sed -i \"s#wechat.secret=.*#wechat.secret=$dev_secury#g\" $base_path/$env_ip/public/java/xyqb.properties"
cmd=" -Dh5-ui.url=http://$pay_url -Dwechat.secret=$dev_secury "
echo "$cmd"
reStartProject "xyqb" "$env_ip" "$cmd"
echo "部署结束，如果之后修改代码，部署project后，请重新执行该部署脚本，否则有可能出现测试环境配置文件被回退的可能。"
